<?php

// Posts Grid Widget.
require get_template_directory() . '/inc/widgets/posts-grid-widget.php';

// Posts List Widget.
require get_template_directory() . '/inc/widgets/posts-list-widget.php';

// Posts Small List Widget.
require get_template_directory() . '/inc/widgets/posts-small-list-widget.php';

// Posts Tile Widget.
require get_template_directory() . '/inc/widgets/posts-tile-widget.php';

// Trending Posts Widget.
require get_template_directory() . '/inc/widgets/trending-posts-widget.php';

// Social Icons Widget.
require get_template_directory() . '/inc/widgets/social-icons-widget.php';

// Categories Widget.
require get_template_directory() . '/inc/widgets/categories-widget.php';

/**
 * Register Widgets
 */
function extensive_news_register_widgets() {

	register_widget( 'Extensive_News_Posts_Grid_Widget' );

	register_widget( 'Extensive_News_Posts_List_Widget' );

	register_widget( 'Extensive_News_Posts_Small_List_Widget' );

	register_widget( 'Extensive_News_Posts_Tile_Widget' );

	register_widget( 'Extensive_News_Trending_Posts_Widget' );

	register_widget( 'Extensive_News_Social_Icons_Widget' );

	register_widget( 'Extensive_News_Categories_Widget' );

}

add_action( 'widgets_init', 'extensive_news_register_widgets' );
